#  NoTopicFlood.tcl by Nils Ostbjerg <shorty@business.auc.dk>
#  (C) Copyright (2001)
#
#  This script will set the channel modes to +t for 60 sec after a topic
#  is set. 
#
#  This version of the NoTopicFlood script is useable with Eggdrop version
#  1.6.x
#
#  Please report any bugs to me at shorty@business.auc.dk.
#  Idea and suggestion to new features are also welcome.
#
#                                 - Nils Ostbjerg <shorty@business.auc.dk>
#
#  Version 1.6.0 - 12 Dec 2001  First version and should work ok
#                                 - Nils Ostbjerg <shorty@business.auc.dk>
# 

##########################################################################
# Binds                                                                  #
##########################################################################

bind topc * * topc:NoTopicFlood

##########################################################################
# topc:TopicFlood start                                                  #
##########################################################################

proc topc:NoTopicFlood {nick uhost handle channel topic} {
    putserv "mode $channel +t"
    utimer 60 "putserv \"mode $channel -t\""    	
}

##########################################################################
# topc:NoTopicFlood end                                                  #
##########################################################################

##########################################################################
# putlog                                                                 #
##########################################################################
 
putlog "Loaded NoTopicFlood (DLF)"
